Subject: Re: [bitcoin-dev] I do not support the BIP 148 UASF

From: Gregory Maxwell <[email-masked]>
Date: Fri, 14 Apr 2017 21:12:47 +0000

On Fri, Apr 14, 2017 at 9:10 PM, James Hilliard via bitcoin-dev
<[email-masked]> wrote:
> would have to intentionally modify the code to mine an invalid block
> which is not something that would be likely to happen accidentally.

IIRC-- If you do it accidentally you'll fail the tests, though there
have been a couple reckless alternative implementations that have just
ripped out most of the tests...

In any case there is no need to speculate or guess-- invalid segwit
spends are not being mined today...